> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Service Account Api Keys Route

> Get all API keys for a service account



## OpenAPI

````yaml /api-reference/openapi.json get /v1/service-accounts/{service_account_user_id}/api-keys
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/service-accounts/{service_account_user_id}/api-keys:
    get:
      tags:
        - workspace
      summary: Get Service Account Api Keys Route
      description: Get all API keys for a service account
      operationId: get_service_account_api_keys_route
      parameters:
        - name: service_account_user_id
          in: path
          required: true
          schema:
            type: string
            title: Service Account User Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceApiKeyListResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkspaceApiKeyListResponseModel:
      properties:
        api-keys:
          items:
            $ref: '#/components/schemas/WorkspaceApiKeyResponseModel'
          type: array
          title: Api-Keys
      type: object
      required:
        - api-keys
      title: WorkspaceApiKeyListResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceApiKeyResponseModel:
      properties:
        name:
          type: string
          title: Name
        hint:
          type: string
          title: Hint
        key_id:
          type: string
          title: Key Id
        service_account_user_id:
          type: string
          title: Service Account User Id
        created_at_unix:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At Unix
        is_disabled:
          type: boolean
          title: Is Disabled
          default: false
        permissions:
          anyOf:
            - items:
                $ref: '#/components/schemas/PermissionType'
              type: array
            - type: 'null'
          title: Permissions
        disable_reason:
          anyOf:
            - $ref: '#/components/schemas/LockReason'
            - type: 'null'
        credit_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credit Limit
          description: Maximum number of credits allowed in the current billing period.
        credit_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credit Count
          description: Credits already used in the current billing period.
        hashed_xi_api_key:
          type: string
          title: Hashed Xi Api Key
        allowed_ips:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 100
              minItems: 1
            - type: 'null'
          title: Allowed Ips
        third_party_disable_allowed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Third Party Disable Allowed
      type: object
      required:
        - name
        - hint
        - key_id
        - service_account_user_id
        - hashed_xi_api_key
      title: WorkspaceApiKeyResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PermissionType:
      type: string
      enum:
        - models_read
        - voices_read
        - voices_write
        - workspace_read
        - workspace_write
        - convai_read
        - convai_write
        - create_user_api_key
        - workspace_analytics_full_read
        - webhooks_write
        - service_account_write
        - group_members_manage
        - workspace_members_read
        - workspace_members_invite
        - workspace_members_remove
        - terms_of_service_accept
        - audit_log_read
        - conversation_privacy_manage
        - copy_resources_cross_workspace
      title: PermissionType
      description: Public API-key permission universe supported by Threetone.
    LockReason:
      type: string
      enum:
        - trial_ended
        - subscription_downgrade
        - exposed_publicly
        - self_disabled
      title: LockReason

````